Returns all Submodel Elements of the given Submodel
GET
/templates/:id/submodels/:submodelId/submodel-elements
Parameters
Path Parameters
id*
The id
Type
Requiredstring
Example
"958b741c-c2ef-4366-a134-fafd30210ed4"submodelId*
The submodel id
Type
Requiredstring
Example
"032a7e62-29e2-4530-8f4b-765e32514a56"Query Parameters
limit
The maximum number of elements in the response array
Type
number
Example
10cursor
A server-generated identifier retrieved from pagingMetadata that specifies from which position the result listing should continue
Type
string
Example
"958b741c-c2ef-4366-a134-fafd30210ed4 "Responses
application/json
JSON "paging_metadata": { "cursor": "string" }, "result": [ { "category": "string", "idShort": "string", "displayName": [ { "language": "string", "text": "string" } ], "description": [ { "language": "string", "text": "string" } ], "semanticId": { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] }, "supplementalSemanticIds": [ { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] } ], "qualifiers": [ { "type": "string", "valueType": "string", "semanticId": { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] }, "supplementalSemanticIds": [ { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] } ], "kind": "string", "value": "string", "valueId": { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] } } ], "embeddedDataSpecifications": [ { "dataSpecification": { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] } } ], "first": { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] }, "second": { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] }, "extensions": [ { "name": "string", "semanticId": { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] }, "supplementalSemanticIds": [ { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] } ], "valueType": "string", "value": "string", "refersTo": [ { "type": "string", "referredSemanticId": "[Circular Reference]", "keys": [ { "type": "string", "value": "string" } ] } ] } ], "annotations": [ { } ], "modelType": "AnnotatedRelationshipElement" } ]
{
}